Opened 6 years ago

Closed 6 years ago

Last modified 5 years ago

#11866 closed Bug Report - General (Unverified)

mythfilldatabase "actual data" received is always for same day, irrespective of which day was being grabbed

Reported by: sam-linux@… Owned by: stuartm
Priority: minor Milestone: unknown
Component: MythTV - Mythfilldatabase Version: 0.26.1
Severity: medium Keywords:
Cc: Ticket locked: no

Description

mythfilldatabase always returns data for 9/30-10/1 for every day offset being grabbed. If this is really a Schedules Direct issue, please advise how best to report upstream and sorry for the trouble. If it is possibly an issue with mythfilldatabase, please let me know what other debug info would be helpful. Thanks for all your work!

sam@data:~$ mythbackend --version Please attach all output as a file in bug reports. MythTV Version : v0.26.1 MythTV Branch : Network Protocol : 75 Library API : 0.26.20130225-1 QT Version : 4.8.2 Options compiled in:

linux profile use_hidesyms using_alsa using_jack using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_crystalhd using_dvb using_firewire using_frontend using_hdhomerun using_ceton using_hdpvr using_iptv using_ivtv using_joystick_menu using_libcec using_libcrypto using_libdns_sd using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl_video using_qtwebkit using_qtscript using_qtdbus using_v4l2 using_x11 using_xrandr using_xv using_bindings_perl using_bindings_python using_bindings_php using_mythtranscode using_opengl using_vaapi using_vdpau using_ffmpeg_threads using_live using_mheg using_libass using_libxml2

sam@data:~$ mythfilldatabase --max-days 3 --loglevel debug 2013-09-18 22:38:07.609607 C mythfilldatabase version: [v0.26.1] www.mythtv.org 2013-09-18 22:38:07.609629 C Qt version: compile: 4.8.2, runtime: 4.8.2 2013-09-18 22:38:07.609639 N Enabled verbose msgs: general 2013-09-18 22:38:07.609656 N Setting Log Level to LOG_DEBUG 2013-09-18 22:38:07.610073 I Added logging to the console 2013-09-18 22:38:07.611009 I Setup Interrupt handler 2013-09-18 22:38:07.611028 I Setup Terminated handler 2013-09-18 22:38:07.611038 I Setup Segmentation fault handler 2013-09-18 22:38:07.611055 I Setup Aborted handler 2013-09-18 22:38:07.611067 I Setup Bus error handler 2013-09-18 22:38:07.611082 I Setup Floating point exception handler 2013-09-18 22:38:07.611095 I Setup Illegal instruction handler 2013-09-18 22:38:07.611109 I Setup Real-time signal 0 handler 2013-09-18 22:38:07.611180 N Using runtime prefix = /usr 2013-09-18 22:38:07.611429 N Using configuration directory = /home/sam/.mythtv 2013-09-18 22:38:07.611776 I Assumed character encoding: en_US.UTF-8 2013-09-18 22:38:07.612256 N Empty LocalHostName?. 2013-09-18 22:38:07.612266 I Using localhost value of data 2013-09-18 22:38:07.612307 I Testing network connectivity to '192.168.47.2' 2013-09-18 22:38:07.612548 I Starting process manager 2013-09-18 22:38:07.612637 I Starting IO manager (read) 2013-09-18 22:38:07.614627 I Starting IO manager (write) 2013-09-18 22:38:07.614713 I Starting process signal handler 2013-09-18 22:38:07.760889 D FindDatabase?() - Success! 2013-09-18 22:38:07.765736 N Setting QT default locale to EN_US 2013-09-18 22:38:07.765908 I Current locale EN_US 2013-09-18 22:38:07.766010 N Reading locale defaults from /usr/share/mythtvlocales/en_us.xml 2013-09-18 22:38:07.779591 I Loading en_us translation for module mythfrontend 2013-09-18 22:38:07.782169 I Current MythTV Schema Version (DBSchemaVer): 1307 2013-09-18 22:38:07.799542 I Updating source #1 (Comcast Cbl) with grabber schedulesdirect1 2013-09-18 22:38:07.800085 I Found 14 channels for source 1 which use grabber 2013-09-18 22:38:07.800157 I 2013-09-18 22:38:07.800171 I Checking day @ offset 0, date: Thu Sep 19 2013 2013-09-18 22:38:07.802742 I Data refresh needed because no data exists for day @ offset 0 from 8PM - midnight. 2013-09-18 22:38:07.802752 N Refreshing data for Thu Sep 19 2013 2013-09-18 22:38:07.802830 I New static DB connectionDataDirectCon 2013-09-18 22:38:07.805355 I Retrieving datadirect data. 2013-09-18 22:38:07.805416 I Grabbing data for Thu Sep 19 2013 offset 0 2013-09-18 22:38:07.805459 I From 2013-09-19T00:00:00Z to 2013-09-20T00:00:00Z (UTC) 2013-09-18 22:38:07.805506 I DataDirect?: Grabbing listing data 2013-09-18 22:38:07.805592 I Downloading DataDirect? feed 2013-09-18 22:38:07.839877 I Added logging to mythlogserver at TCP:35327 2013-09-18 22:38:39.119386 I Downloaded 786297 bytes 2013-09-18 22:38:39.119402 I Uncompressing DataDirect? feed 2013-09-18 22:38:39.199020 I Uncompressed to 6936560 bytes 2013-09-18 22:38:39.253499 I DataDirect?: Your subscription expires on Sat Nov 16 2013 8:24 PM 2013-09-18 22:38:39.525276 I DataDirect?: sourceid 1 has lineup type: CableDigital? 2013-09-18 22:39:10.586294 I Grab complete. Actual data from 2013-09-30T00:00:00Z to 2013-10-01T00:00:00Z (UTC) 2013-09-18 22:39:10.587313 I Main temp tables populated. 2013-09-18 22:39:10.587322 I Updating MythTV channels. 2013-09-18 22:39:11.258443 I IconData?: Updating icons for sourceid: 1 2013-09-18 22:39:11.260335 I Channels updated. 2013-09-18 22:39:11.480151 I Clearing data for source. 2013-09-18 22:39:11.480217 I Clearing from 2013-09-29T20:00:00 to 2013-09-30T20:00:00 (localtime) 2013-09-18 22:39:11.678908 I Data for source cleared. 2013-09-18 22:39:11.678918 I Updating programs. 2013-09-18 22:39:12.169773 I Program table update complete. 2013-09-18 22:39:12.169855 I 2013-09-18 22:39:12.169866 I Checking day @ offset 1, date: Fri Sep 20 2013 2013-09-18 22:39:12.169873 I Data Refresh always needed for tomorrow 2013-09-18 22:39:12.169878 N Refreshing data for Fri Sep 20 2013 2013-09-18 22:39:12.170471 I Retrieving datadirect data. 2013-09-18 22:39:12.170488 I Grabbing data for Thu Sep 19 2013 offset 1 2013-09-18 22:39:12.170514 I From 2013-09-20T00:00:00Z to 2013-09-21T00:00:00Z (UTC) 2013-09-18 22:39:12.170526 I DataDirect?: Grabbing listing data 2013-09-18 22:39:12.170560 I Downloading DataDirect? feed 2013-09-18 22:39:40.791621 I Downloaded 784435 bytes 2013-09-18 22:39:40.791645 I Uncompressing DataDirect? feed 2013-09-18 22:39:40.886904 I Uncompressed to 6906191 bytes 2013-09-18 22:39:40.970774 I DataDirect?: Your subscription expires on Sat Nov 16 2013 8:24 PM 2013-09-18 22:40:12.810913 I Grab complete. Actual data from 2013-09-30T00:00:00Z to 2013-10-01T00:00:00Z (UTC) 2013-09-18 22:40:12.811972 I Main temp tables populated. 2013-09-18 22:40:13.799627 I Clearing data for source. 2013-09-18 22:40:13.799727 I Clearing from 2013-09-29T20:00:00 to 2013-09-30T20:00:00 (localtime) 2013-09-18 22:40:14.119475 I Data for source cleared. 2013-09-18 22:40:14.119485 I Updating programs. 2013-09-18 22:40:14.602700 I Program table update complete. 2013-09-18 22:40:14.602782 I 2013-09-18 22:40:14.602794 I Checking day @ offset 2, date: Sat Sep 21 2013 2013-09-18 22:40:14.604620 I Data refresh needed because no data exists for day @ offset 2 from 8PM - midnight. 2013-09-18 22:40:14.604631 N Refreshing data for Sat Sep 21 2013 2013-09-18 22:40:14.605230 I Retrieving datadirect data. 2013-09-18 22:40:14.605252 I Grabbing data for Thu Sep 19 2013 offset 2 2013-09-18 22:40:14.605278 I From 2013-09-21T00:00:00Z to 2013-09-22T00:00:00Z (UTC) 2013-09-18 22:40:14.605290 I DataDirect?: Grabbing listing data 2013-09-18 22:40:14.605325 I Downloading DataDirect? feed 2013-09-18 22:40:42.222166 I Downloaded 773403 bytes 2013-09-18 22:40:42.222183 I Uncompressing DataDirect? feed 2013-09-18 22:40:42.311931 I Uncompressed to 6763642 bytes 2013-09-18 22:40:42.420564 I DataDirect?: Your subscription expires on Sat Nov 16 2013 8:24 PM 2013-09-18 22:41:12.333859 I Grab complete. Actual data from 2013-09-30T00:00:00Z to 2013-10-01T00:00:00Z (UTC) 2013-09-18 22:41:12.334881 I Main temp tables populated. 2013-09-18 22:41:12.743782 I Clearing data for source. 2013-09-18 22:41:12.743870 I Clearing from 2013-09-29T20:00:00 to 2013-09-30T20:00:00 (localtime) 2013-09-18 22:41:12.952981 I Data for source cleared. 2013-09-18 22:41:12.952992 I Updating programs. 2013-09-18 22:41:14.073606 I Program table update complete. 2013-09-18 22:41:14.077257 N Data fetching complete. 2013-09-18 22:41:14.077279 I Adjusting program database end times. 2013-09-18 22:41:14.081303 I 0 replacements made 2013-09-18 22:41:14.081313 I Marking generic episodes. 2013-09-18 22:41:14.087621 I Found 113 2013-09-18 22:41:14.087650 I Extending non-unique programids with multiple parts. 2013-09-18 22:41:14.088853 I Found 0 2013-09-18 22:41:14.088881 I Marking repeats. 2013-09-18 22:41:14.104067 I Found 350 2013-09-18 22:41:14.104073 I Unmarking new episode rebroadcast repeats. 2013-09-18 22:41:14.106591 I Found 0 2013-09-18 22:41:14.116050 I Marking episode first showings. 2013-09-18 22:41:14.135314 I Found 349 2013-09-18 22:41:14.135320 I Marking episode last showings. 2013-09-18 22:41:14.154776 I Found 349 2013-09-18 22:41:14.156761 I DataDirect?: Grabbing next suggested grabbing time 2013-09-18 22:41:14.558232 I Suggested Time data: 612 bytes 2013-09-18 22:41:14.558956 I DataDirect?: BlockedTime? is: 2013-09-19T02:41:03Z 2013-09-18 22:41:14.559301 I DataDirect?: nextSuggestedTime is: 2013-09-20T14:32:09Z 2013-09-18 22:41:14.561016 I =============================================================== | Attempting to contact the master backend for rescheduling. | | If the master is not running, rescheduling will happen when | | the master backend is restarted. | =============================================================== 2013-09-18 22:41:14.567484 I MythCoreContext?: Connecting to backend server: 192.168.47.2:6543 (try 1 of 1) 2013-09-18 22:41:14.569286 I Using protocol version 75 2013-09-18 22:41:14.572596 N mythfilldatabase run complete.

Change History (5)

comment:1 Changed 6 years ago by Raymond Wagner

Please use --dd-grab-all instead.

comment:2 in reply to:  1 Changed 6 years ago by sam-linux@…

Replying to wagnerrp:

Please use --dd-grab-all instead.

Thanks, but No joy...

sam@data:~$ mythfilldatabase --dd-grab-all --loglevel debug 2013-09-19 08:56:20.075869 C mythfilldatabase version: [v0.26.1] www.mythtv.org 2013-09-19 08:56:20.075904 C Qt version: compile: 4.8.2, runtime: 4.8.2 2013-09-19 08:56:20.075921 N Enabled verbose msgs: general 2013-09-19 08:56:20.075950 N Setting Log Level to LOG_DEBUG 2013-09-19 08:56:20.076692 I Added logging to the console 2013-09-19 08:56:20.078004 I Setup Interrupt handler 2013-09-19 08:56:20.078023 I Setup Terminated handler 2013-09-19 08:56:20.078047 I Setup Segmentation fault handler 2013-09-19 08:56:20.078070 I Setup Aborted handler 2013-09-19 08:56:20.078085 I Setup Bus error handler 2013-09-19 08:56:20.078107 I Setup Floating point exception handler 2013-09-19 08:56:20.078122 I Setup Illegal instruction handler 2013-09-19 08:56:20.078158 I Setup Real-time signal 0 handler 2013-09-19 08:56:20.078245 N Using runtime prefix = /usr 2013-09-19 08:56:20.078272 N Using configuration directory = /home/sam/.mythtv 2013-09-19 08:56:20.078467 I Assumed character encoding: en_US.UTF-8 2013-09-19 08:56:20.079368 N Empty LocalHostName?. 2013-09-19 08:56:20.079388 I Using localhost value of data 2013-09-19 08:56:20.079475 I Testing network connectivity to '192.168.47.2' 2013-09-19 08:56:20.083481 I Starting process signal handler 2013-09-19 08:56:20.083739 I Starting IO manager (read) 2013-09-19 08:56:20.083873 I Starting process manager 2013-09-19 08:56:20.084034 I Starting IO manager (write) 2013-09-19 08:56:20.281323 D FindDatabase?() - Success! 2013-09-19 08:56:20.286395 N Setting QT default locale to EN_US 2013-09-19 08:56:20.286566 I Current locale EN_US 2013-09-19 08:56:20.286670 N Reading locale defaults from /usr/share/mythtvlocales/en_us.xml 2013-09-19 08:56:20.308341 I Loading en_us translation for module mythfrontend 2013-09-19 08:56:20.308681 I Added logging to mythlogserver at TCP:35327 2013-09-19 08:56:20.312560 I Current MythTV Schema Version (DBSchemaVer): 1307 2013-09-19 08:56:20.328978 I Updating source #1 (Comcast Cbl) with grabber schedulesdirect1 2013-09-19 08:56:20.329524 I Found 14 channels for source 1 which use grabber 2013-09-19 08:56:20.329605 I New static DB connectionDataDirectCon 2013-09-19 08:56:20.332134 I Retrieving datadirect data. 2013-09-19 08:56:20.332155 I Grabbing ALL available data. 2013-09-19 08:56:20.332211 I DataDirect?: Grabbing listing data 2013-09-19 08:56:20.332310 I Downloading DataDirect? feed 2013-09-19 08:59:42.371971 I Downloaded 5806045 bytes 2013-09-19 08:59:42.371988 I Uncompressing DataDirect? feed 2013-09-19 08:59:42.850333 I Uncompressed to 70931291 bytes 2013-09-19 08:59:42.915762 I DataDirect?: Your subscription expires on Sat Nov 16 2013 8:24 PM 2013-09-19 08:59:43.189022 I DataDirect?: sourceid 1 has lineup type: CableDigital? 2013-09-19 09:00:14.494899 I Grab complete. Actual data from 2013-09-30T00:00:00Z to 2013-10-01T00:00:00Z (UTC) 2013-09-19 09:00:14.496140 I Main temp tables populated. 2013-09-19 09:00:14.496148 I Updating MythTV channels. 2013-09-19 09:00:15.162586 I IconData?: Updating icons for sourceid: 1 2013-09-19 09:00:15.164122 I Channels updated. 2013-09-19 09:00:15.375718 I Clearing data for source. 2013-09-19 09:00:15.375777 I Clearing from 2013-09-29T20:00:00 to 2013-09-30T20:00:00 (localtime) 2013-09-19 09:00:15.581115 I Data for source cleared. 2013-09-19 09:00:15.581124 I Updating programs. 2013-09-19 09:00:16.075522 I Program table update complete. 2013-09-19 09:00:16.078937 N Data fetching complete. 2013-09-19 09:00:16.078963 I Adjusting program database end times. 2013-09-19 09:00:16.082548 I 0 replacements made 2013-09-19 09:00:16.082554 I Marking generic episodes. 2013-09-19 09:00:16.088494 I Found 113 2013-09-19 09:00:16.088525 I Extending non-unique programids with multiple parts. 2013-09-19 09:00:16.089654 I Found 0 2013-09-19 09:00:16.089680 I Marking repeats. 2013-09-19 09:00:16.104133 I Found 350 2013-09-19 09:00:16.104139 I Unmarking new episode rebroadcast repeats. 2013-09-19 09:00:16.106366 I Found 0 2013-09-19 09:00:16.115629 I Marking episode first showings. 2013-09-19 09:00:16.134064 I Found 349 2013-09-19 09:00:16.134069 I Marking episode last showings. 2013-09-19 09:00:16.153628 I Found 349 2013-09-19 09:00:16.155588 I DataDirect?: Grabbing next suggested grabbing time 2013-09-19 09:00:16.757208 I Suggested Time data: 612 bytes 2013-09-19 09:00:16.757982 I DataDirect?: BlockedTime? is: 2013-09-19T13:00:05Z 2013-09-19 09:00:16.758292 I DataDirect?: nextSuggestedTime is: 2013-09-20T10:23:04Z 2013-09-19 09:00:16.760149 I =============================================================== | Attempting to contact the master backend for rescheduling. | | If the master is not running, rescheduling will happen when | | the master backend is restarted. | =============================================================== 2013-09-19 09:00:16.765768 I MythCoreContext?: Connecting to backend server: 192.168.47.2:6543 (try 1 of 1) 2013-09-19 09:00:16.767319 I Using protocol version 75 2013-09-19 09:00:16.771898 I Received remote 'Clear Cache' request 2013-09-19 09:00:16.777541 N mythfilldatabase run complete.

comment:3 Changed 6 years ago by sam-linux@…

After power failure and machine reboot, everything is working fine. Still, it seemed like very odd behavior... I guess ticket should be closed for now. Thanks!

comment:4 Changed 6 years ago by Kenni Lund [kenni a kelu dot dk]

Resolution: Unverified
Status: newclosed

comment:5 Changed 5 years ago by sphery

dup of #11195

(user's /tmp directory was cleared by start scripts after reboot)

Note: See TracTickets for help on using tickets.